ChirpyDevelopers Open Chirpy

Actions / Posts

Schedule posts

Full accessschedule_posts

Schedules existing drafts at the given times (ISO datetimes with an offset).

Needs the publish scope. Acts on live social accounts or cannot be undone.

Inputs

InputTypeRequiredDescription
itemsobject[]YesEach item: draftId (required), scheduledFor (required). Up to 30.

REST

curl https://chirpy.me/api/v1/schedule_posts \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{"items":[{"draftId":123,"scheduledFor":"2026-11-02T09:00:00+02:00"}]}'

MCP

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "schedule_posts",
    "arguments": {
      "items": [
        {
          "draftId": 123,
          "scheduledFor": "2026-11-02T09:00:00+02:00"
        }
      ]
    }
  }
}

MCP hints: readOnlyHint: false, destructiveHint: true, idempotentHint: false, openWorldHint: true.